## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.mem0.ai/llms.txt)

Use this file to discover all available pages before exploring further.

---

## Usage

### Python

```
# To use the Python SDK, install the package:
# pip install mem0ai

from mem0 import MemoryClient
client = MemoryClient(api_key="your_api_key")

memory_id = "<memory_id>"
client.delete(memory_id=memory_id)
```

### JavaScript

```javascript
// To use the JavaScript SDK, install the package:
// npm i mem0ai

import MemoryClient from 'mem0ai';
const client = new MemoryClient({ apiKey: "your-api-key" });

// Delete a specific memory
client.delete("<memory_id>")
  .then(result => console.log(result))
  .catch(error => console.error(error));
```

### cURL

```
curl --request DELETE \
  --url https://api.mem0.ai/v1/memories/{memory_id}/ \
  --header 'Authorization: Token <api-key>'
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

url := "https://api.mem0.ai/v1/memories/{memory_id}/"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "Token <api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

fmt.Println(res)
	fmt.Println(string(body))
}
```

### PHP

```


```

---

## Response

**204 - application/json**  
Successful deletion of memory.

**Response Example:**
```json
{
  "message": "Memory deleted successfully!"
}
```

## Authorizations

**Authorization**  
*string*  
header  
**required**  
API key authentication. Prefix your Mem0 API key with 'Token '. Example: 'Token your_api_key'

## Path Parameters

- **memory_id**  
  *string<uuid>*  
  required  
  The unique identifier of the memory to delete.

!
